# eoDetTournamentTruncate< EOT > Class Template Reference

a truncate class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g. More...

`#include <eoReduce.h>`

Inheritance diagram for eoDetTournamentTruncate< EOT >:

List of all members.

## Public Member Functions

| eoDetTournamentTruncate (unsigned _t_size)
void | operator() (eoPop< EOT > &_newgen, unsigned _newsize)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

unsigned | t_size

## Detailed Description

### template<class EOT>
class eoDetTournamentTruncate< EOT >

a truncate class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g.

see eoSSGADetTournamentReplacement)

Definition at line 188 of file eoReduce.h.

The documentation for this class was generated from the following file:

- eoReduce.h